<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8">
    <title>Projecte web compartit </title>
    <link rel="stylesheet" href="style.css">
  </head>
  <body>
    <div class="container">
      <h1>GIT</h1>
      <div class="intro">
        <h2>Introducció</h2>
        <p>
         <br>Git és un programari de sistema de control de versions, pensat pel de manteniment de versions d'aplicacions amb una gran quantitat de fitxers de codi font.
        Les comandes bàsiques del Git serien:</br>
         <br>   $ mkdir carpeta-git --> comanda per establir la carpeta o estaran els fitxers</br>
         <br>   $ cd carpeta-git --> amb aquesta comanda ens ubiquem a la carpeta creada anteriorment</br>
         <br>A partir d'ara tindrem un prefix '/carpeta-git$' automàtic devant de cada comanda</br>
         <br>   git init --> aquesta comanda l'executarem un cop hi som a "carpeta-git" per això ens asegurem amb mirant si tenim al començament '/carpeta-git$'</br>
         <br>   git add fitxer.txt --> serveix per afegir un nou fitxer o un fitxer modificat al repositori. Ex: /carpeta-git$ git add hola.txt</br>
         <br>   git commit -m"comentari del commit" --> amb aquesta comanda serveix per establir un versió del 'git add' que hem fet amb anterioritat, després del prefix -m escrivim el nom de la versió creada. Ex: /carpeta-git$ git commit -m"Fitxer creat"</br>
         <br>Ara, cada vegada que fas un canvi dins el fitxer s'haurà de fer el git add i el commit. Ex: 
        /carpeta-git$ git add hola2.txt</br>
        <br>I el commit. Ex: /carpeta-git$ git commit -m"fitxer 2 afegit"</br>
        </p></div>
      <div class="branches">
        <h2>Branques</h2>
        <p>
<br>
        Per començar a parlar sobre les branques primer de tot s'ha de mencionar la branca principal de desenvolupament, anomenada "master". 
        Una ramificació seria treballar sense seguir la branca principal.
        Quan creas una nova branca per exemple una anomenada "exemple" (amb la comanda "git branch exemple") es crea un nou apuntador. 
        Però el HEAD apunta a la br anca "master" encara per tant s'haurà de fer una comanda per a que apunti a la branca "exemple" (amb la comanda "git checkout exemple").
<br>
</br>
        Llavors ara qualsevol cambi que fem es farà a "exemple" i no desde "master". Per desear els canvis farem ús de la comanda commit abans explicada.
        Si hem modificat els mateixos arxius en una branca i en un altre utilitzarem la comanda "merge" (merge exemple), i tot cambi que s'hagi fet a "exemple" es fusionarà amb "master".
<br>
     </br>
        Hi han altres comandes com ara: 
            git checkout -b NOM_BRANCA (crea una branca i es mou a ella)
            git branch -d NOM_BRANCA (elimina la branca mencionada)
<br>
</br>
        Podem fer Tags amb diferents comandes:
            git tag -a versio -m "descripcio" (git tag -a v1.4 -m "my version 1.4") S'utilitza per posar nom a una versió
            git checkout -b nom_branca versio (git checkout -b bug_v14 v1.4) Creem una branca amb el contingut d'un tag
<br>
</br>
            </p>
      </div>
      <div class="remot">
        <h2>Remot</h2>
        <p>Breu descripcio: Permet passar el repositori local a un repositori remot. Aquesta comanda ens permet seguir treballant des d'altres ordinadors pujant al gitlab el repositori. Per fer-ho es necessari crear un projecte en blanc al gitlab i obtenir la seva ruta
        <br> git remote --> enllaça el repositori local amb el repositori remot
        <br> git push --> puja al git tots els canvis realitzats
        <br> git clone --> serveix per clonar l'enllaç del repositori del git
        </p></div>
        <comandes_basiques>
      </div>
   </div>
  </body>
</html>
